<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: MediaReader Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classMediaReader.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">MediaReader Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>class containing methods to set the file, return and check for its elements  
 <a href="classMediaReader.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="json__reader_8hpp_source.html">json_reader.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a18085972f9333f91a8154a291ca8cebb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMediaReader.html#a18085972f9333f91a8154a291ca8cebb">set_file</a> (std::string file_path)</td></tr>
<tr class="memdesc:a18085972f9333f91a8154a291ca8cebb"><td class="mdescLeft">&#160;</td><td class="mdescRight">public methods to do the following: to set the file to check whether file contains a key to check whether an element is empty or not to return a path or identifier  <a href="classMediaReader.html#a18085972f9333f91a8154a291ca8cebb">More...</a><br /></td></tr>
<tr class="separator:a18085972f9333f91a8154a291ca8cebb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a352b413f2fb5352081270de914a5d0f7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMediaReader.html#a352b413f2fb5352081270de914a5d0f7">contains_value</a> (std::string value)</td></tr>
<tr class="memdesc:a352b413f2fb5352081270de914a5d0f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">checks whether file contains given value or not  <a href="classMediaReader.html#a352b413f2fb5352081270de914a5d0f7">More...</a><br /></td></tr>
<tr class="separator:a352b413f2fb5352081270de914a5d0f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb08358a7d90598fd96c449d5e947bb5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMediaReader.html#abb08358a7d90598fd96c449d5e947bb5">is_empty</a> (uint8_t x, uint8_t y)</td></tr>
<tr class="memdesc:abb08358a7d90598fd96c449d5e947bb5"><td class="mdescLeft">&#160;</td><td class="mdescRight">checks whether an element at given position is empty or not  <a href="classMediaReader.html#abb08358a7d90598fd96c449d5e947bb5">More...</a><br /></td></tr>
<tr class="separator:abb08358a7d90598fd96c449d5e947bb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea6a1fb36ab4af46b61f56925ba9e82d"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMediaReader.html#aea6a1fb36ab4af46b61f56925ba9e82d">get_path</a> (uint8_t x, uint8_t y)</td></tr>
<tr class="memdesc:aea6a1fb36ab4af46b61f56925ba9e82d"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns path at given position  <a href="classMediaReader.html#aea6a1fb36ab4af46b61f56925ba9e82d">More...</a><br /></td></tr>
<tr class="separator:aea6a1fb36ab4af46b61f56925ba9e82d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42aa75542d95e7f42c1e25d44e192591"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMediaReader.html#a42aa75542d95e7f42c1e25d44e192591">get_identifier</a> (uint8_t x, uint8_t y)</td></tr>
<tr class="memdesc:a42aa75542d95e7f42c1e25d44e192591"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns identifier at given position  <a href="classMediaReader.html#a42aa75542d95e7f42c1e25d44e192591">More...</a><br /></td></tr>
<tr class="separator:a42aa75542d95e7f42c1e25d44e192591"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>class containing methods to set the file, return and check for its elements </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a352b413f2fb5352081270de914a5d0f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a352b413f2fb5352081270de914a5d0f7">&#9670;&nbsp;</a></span>contains_value()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool MediaReader::contains_value </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>checks whether file contains given value or not </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>string </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if file contains given value, false otherwise </dd></dl>

<p class="reference">Referenced by <a class="el" href="json__demo_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main()</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classMediaReader_a352b413f2fb5352081270de914a5d0f7_icgraph.svg" width="284" height="52"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
</div>

</div>
</div>
<a id="a42aa75542d95e7f42c1e25d44e192591"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42aa75542d95e7f42c1e25d44e192591">&#9670;&nbsp;</a></span>get_identifier()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string MediaReader::get_identifier </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>returns identifier at given position </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>uint8_t : index of outer list </td></tr>
    <tr><td class="paramname">y</td><td>uint8_t : index of inner list </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>identifier : string </dd></dl>

<p class="reference">Referenced by <a class="el" href="json__demo_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main()</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classMediaReader_a42aa75542d95e7f42c1e25d44e192591_icgraph.svg" width="316" height="38"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
</div>

</div>
</div>
<a id="aea6a1fb36ab4af46b61f56925ba9e82d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea6a1fb36ab4af46b61f56925ba9e82d">&#9670;&nbsp;</a></span>get_path()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string MediaReader::get_path </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>returns path at given position </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>uint8_t : index of outer list </td></tr>
    <tr><td class="paramname">y</td><td>uint8_t : index of inner list </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>path : string </dd></dl>

<p class="reference">Referenced by <a class="el" href="json__demo_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main()</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classMediaReader_aea6a1fb36ab4af46b61f56925ba9e82d_icgraph.svg" width="287" height="38"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
</div>

</div>
</div>
<a id="abb08358a7d90598fd96c449d5e947bb5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb08358a7d90598fd96c449d5e947bb5">&#9670;&nbsp;</a></span>is_empty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool MediaReader::is_empty </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>checks whether an element at given position is empty or not </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>uint8_t : index of outer list </td></tr>
    <tr><td class="paramname">y</td><td>uint8_t : index of inner list </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if path or identifier at given position ist empty, false otherwise </dd></dl>

<p class="reference">Referenced by <a class="el" href="json__demo_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main()</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classMediaReader_abb08358a7d90598fd96c449d5e947bb5_icgraph.svg" width="290" height="38"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
</div>

</div>
</div>
<a id="a18085972f9333f91a8154a291ca8cebb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a18085972f9333f91a8154a291ca8cebb">&#9670;&nbsp;</a></span>set_file()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MediaReader::set_file </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>file_path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>public methods to do the following: to set the file to check whether file contains a key to check whether an element is empty or not to return a path or identifier </p>
<p>sets given file path to read from</p>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">runtime</td><td>error if parsing fails or path does not exist </td></tr>
  </table>
  </dd>
</dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">file_path</td><td>string </td></tr>
  </table>
  </dd>
</dl>

<p class="reference">Referenced by <a class="el" href="json__demo_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main()</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classMediaReader_a18085972f9333f91a8154a291ca8cebb_icgraph.svg" width="276" height="38"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
</div>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="json__reader_8hpp_source.html">json_reader.hpp</a></li>
<li>json_reader.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classMediaReader.html">MediaReader</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
